{
    num: 569,
    accuracy: true,
    basePower: 0,
    category: "Status",
    isNonstandard: "Past",
    name: "Ion Deluge",
    pp: 25,
    priority: 1,
    flags: {metronome: 1},
    pseudoWeather: 'iondeluge',
    condition: {
        duration: 3,
        onFieldStart(target, source, sourceEffect) {
            this.add('-fieldactivate', 'move: Ion Deluge');
            this.hint(`Normal-type moves become Electric-type after using ${sourceEffect}.`);
        },
        onModifyTypePriority: -2,
        onModifyType(move) {
            if (move.type === 'Normal') {
                move.type = 'Electric';
                this.debug(move.name + "'s type changed to Electric");
            }
        },
    },
    secondary: null,
    target: "all",
    type: "Electric",
    zMove: {boost: {spa: 1}},
    contestType: "Beautiful",
}
